org.mariadb.jdbc.internal.io.socket

## Interface SharedMemorySocket.Kernel32

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

Enclosing class:
  SharedMemorySocket

    public static interface SharedMemorySocket.Kernel32
    extends com.sun.jna.win32.StdCallLibrary

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

### Nested classes/interfaces inherited from interface com.sun.jna.Library

`com.sun.jna.Library.Handler`

### Field Summary

Fields
`static int` `EVENT_MODIFY_STATE`
`static int` `FILE_MAP_READ`
`static int` `FILE_MAP_WRITE`
`static int` `INFINITE`
`static SharedMemorySocket.Kernel32` `INSTANCE`
`static int` `SYNCHRONIZE`

### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

`FUNCTION_MAPPER, STDCALL_CONVENTION`

### Fields inherited from interface com.sun.jna.Library

`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `CloseHandle(com.sun.jna.platform.win32.WinNT.HANDLE handle)`
`com.sun.jna.platform.win32.WinNT.HANDLE` `CreateMutex(SharedMemorySocket.Advapi32.SECURITY_ATTRIBUTES sa, boolean initialOwner, String name)`
`int` `GetLastError()`
`com.sun.jna.Pointer` `LocalFree(com.sun.jna.Pointer p)`
`com.sun.jna.Pointer` `MapViewOfFile(com.sun.jna.platform.win32.WinNT.HANDLE hFileMappingObject, int dwDesiredAccess, int dwFileOffsetHigh, int dwFileOffsetLow, com.sun.jna.platform.win32.BaseTSD.SIZE_T dwNumberOfBytesToMap)`
`com.sun.jna.platform.win32.WinNT.HANDLE` `OpenEvent(int dwDesiredAccess, boolean bInheritHandle, String name)`
`com.sun.jna.platform.win32.WinNT.HANDLE` `OpenFileMapping(int dwDesiredAccess, boolean bInheritHandle, String name)`
`boolean` `ReleaseMutex(com.sun.jna.platform.win32.WinNT.HANDLE hMutex)`
`boolean` `SetEvent(com.sun.jna.platform.win32.WinNT.HANDLE handle)`
`boolean` `UnmapViewOfFile(com.sun.jna.Pointer view)`
`int` `WaitForMultipleObjects(int count, com.sun.jna.platform.win32.WinNT.HANDLE[] handles, boolean waitAll, int millis)`
`int` `WaitForSingleObject(com.sun.jna.platform.win32.WinNT.HANDLE handle, int timeout)`

### Field Detail

#### INSTANCE

    static final SharedMemorySocket.Kernel32 INSTANCE

#### FILE_MAP_WRITE

    static final int FILE_MAP_WRITE

See Also:
  Constant Field Values

#### FILE_MAP_READ

    static final int FILE_MAP_READ

See Also:
  Constant Field Values

#### EVENT_MODIFY_STATE

    static final int EVENT_MODIFY_STATE

See Also:
  Constant Field Values

#### SYNCHRONIZE

    static final int SYNCHRONIZE

See Also:
  Constant Field Values

#### INFINITE

    static final int INFINITE

See Also:
  Constant Field Values

### Method Detail

#### OpenEvent

    com.sun.jna.platform.win32.WinNT.HANDLE OpenEvent(int dwDesiredAccess,
                                                      boolean bInheritHandle,
                                                      String name)
                                               throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### OpenFileMapping

    com.sun.jna.platform.win32.WinNT.HANDLE OpenFileMapping(int dwDesiredAccess,
                                                            boolean bInheritHandle,
                                                            String name)
                                                     throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### MapViewOfFile

    com.sun.jna.Pointer MapViewOfFile(com.sun.jna.platform.win32.WinNT.HANDLE hFileMappingObject,
                                      int dwDesiredAccess,
                                      int dwFileOffsetHigh,
                                      int dwFileOffsetLow,
                                      com.sun.jna.platform.win32.BaseTSD.SIZE_T dwNumberOfBytesToMap)
                               throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### UnmapViewOfFile

    boolean UnmapViewOfFile(com.sun.jna.Pointer view)
                     throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### SetEvent

    boolean SetEvent(com.sun.jna.platform.win32.WinNT.HANDLE handle)
              throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### CloseHandle

    boolean CloseHandle(com.sun.jna.platform.win32.WinNT.HANDLE handle)
                 throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### WaitForSingleObject

    int WaitForSingleObject(com.sun.jna.platform.win32.WinNT.HANDLE handle,
                            int timeout)
                     throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### WaitForMultipleObjects

    int WaitForMultipleObjects(int count,
                               com.sun.jna.platform.win32.WinNT.HANDLE[] handles,
                               boolean waitAll,
                               int millis)
                        throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### GetLastError

    int GetLastError()
              throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### CreateMutex

    com.sun.jna.platform.win32.WinNT.HANDLE CreateMutex(SharedMemorySocket.Advapi32.SECURITY_ATTRIBUTES sa,
                                                        boolean initialOwner,
                                                        String name)

#### ReleaseMutex

    boolean ReleaseMutex(com.sun.jna.platform.win32.WinNT.HANDLE hMutex)

#### LocalFree

    com.sun.jna.Pointer LocalFree(com.sun.jna.Pointer p)